> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Token

> Revoke the complete grant family identified by a refresh token. Unknown tokens return the same response to avoid an oracle.



## OpenAPI

````yaml /openapi.json post /v1/agent-auth/revoke
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/agent-auth/revoke:
    post:
      tags:
        - agentAuth
      summary: Revoke Token
      description: >-
        Revoke the complete grant family identified by a refresh token. Unknown
        tokens return the same response to avoid an oracle.
      operationId: agentAuth.revokeToken
      parameters: []
      requestBody:
        required: true
        x-korve-max-bytes: 1048576
        content:
          application/json:
            schema:
              type: object
              properties:
                clientId:
                  type: string
                  enum:
                    - korve-cli
                    - korve-mcp
                token:
                  type: string
                  minLength: 1
              required:
                - clientId
                - token
              additionalProperties: false
      responses:
        '200':
          description: The matching grant family is revoked, if it exists.
          content:
            application/json:
              schema:
                type: object
                properties:
                  revoked:
                    type: boolean
                    enum:
                      - true
                required:
                  - revoked
      security: []

````